-- Reproducción de sonido independiente de ruta.
require "import"
import "android.media.MediaPlayer"
import("Sonido")

files_efectos = { -- Marcador
"checkpoint.wav"
}

---------------------------
function get_file_path(filename)
  local script_dir = get_script_dir()
  return script_dir .. filename
end

-- Función para verificar si el archivo existe
function file_exists(name)
  local f = io.open(name, "r")
  if f then 
    f:close()
    return true 
  else 
    return false 
  end
end

if global_mp_efectos ~= nil then
  global_mp_efectos.stop()
  global_mp_efectos.release()
  global_mp_efectos = nil
end

global_mp_efectos = nil

function play_music_efectos(index, volume)
  if global_mp_efectos ~= nil then
    global_mp_efectos.stop()
    global_mp_efectos.release()
    global_mp_efectos = nil
  end
  
  local file_path = get_file_path(files_efectos[index])
  
  -- Comprobamos si el archivo existe
  if not file_exists(file_path) then 
--    print("no hay archivo de audio")
    return
  end
  
  local mp_efectos = MediaPlayer()
  mp_efectos.setDataSource(file_path)
  mp_efectos.setVolume(volume, volume)
  mp_efectos.prepare()
  mp_efectos.start()
  mp_efectos.setOnCompletionListener(MediaPlayer.OnCompletionListener{
    onCompletion = function()
      mp_efectos.release()
      global_mp_efectos = nil
    end
  })
  global_mp_efectos = mp_efectos
end

play_music_efectos(1, 1.0)